hwy::HWY_NAMESPACE::Vec128< T, N > Class Template Reference

`#include <arm_neon-inl.h>`

## Public Types

using | PrivateT = T
using | PrivateT = T
using | PrivateT = T
using | PrivateT = T

## Public Member Functions

HWY_INLINE | Vec128 ()
| Vec128 (const Vec128 &)=default
Vec128 & | operator= (const Vec128 &)=default
HWY_INLINE | Vec128 (const Raw raw)
HWY_INLINE Vec128 & | operator*= (const Vec128 other)
HWY_INLINE Vec128 & | operator/= (const Vec128 other)
HWY_INLINE Vec128 & | operator+= (const Vec128 other)
HWY_INLINE Vec128 & | operator-= (const Vec128 other)
HWY_INLINE Vec128 & | operator&= (const Vec128 other)
HWY_INLINE Vec128 & | operator|= (const Vec128 other)
HWY_INLINE Vec128 & | operator^= (const Vec128 other)
HWY_INLINE | Vec128 ()=default
| Vec128 (const Vec128 &)=default
Vec128 & | operator= (const Vec128 &)=default
HWY_INLINE Vec128 & | operator*= (const Vec128 other)
HWY_INLINE Vec128 & | operator/= (const Vec128 other)
HWY_INLINE Vec128 & | operator+= (const Vec128 other)
HWY_INLINE Vec128 & | operator-= (const Vec128 other)
HWY_INLINE Vec128 & | operator&= (const Vec128 other)
HWY_INLINE Vec128 & | operator|= (const Vec128 other)
HWY_INLINE Vec128 & | operator^= (const Vec128 other)
HWY_INLINE Vec128 & | operator*= (const Vec128 other)
HWY_INLINE Vec128 & | operator/= (const Vec128 other)
HWY_INLINE Vec128 & | operator+= (const Vec128 other)
HWY_INLINE Vec128 & | operator-= (const Vec128 other)
HWY_INLINE Vec128 & | operator&= (const Vec128 other)
HWY_INLINE Vec128 & | operator|= (const Vec128 other)
HWY_INLINE Vec128 & | operator^= (const Vec128 other)
HWY_INLINE Vec128 & | operator*= (const Vec128 other)
HWY_INLINE Vec128 & | operator/= (const Vec128 other)
HWY_INLINE Vec128 & | operator+= (const Vec128 other)
HWY_INLINE Vec128 & | operator-= (const Vec128 other)
HWY_INLINE Vec128 & | operator&= (const Vec128 other)
HWY_INLINE Vec128 & | operator|= (const Vec128 other)
HWY_INLINE Vec128 & | operator^= (const Vec128 other)

## Public Attributes

Raw | raw
T | raw [16/sizeof(T)] = {}

## Static Public Attributes

static constexpr size_t | kPrivateN = N

## Private Types

using | Raw = typename detail::Raw128< T, N >::type
using | Raw = typename detail::Raw128< T >::type
using | Raw = typename detail::Raw128< T >::type

## Member Typedef Documentation

## PrivateT [1/4]

template<typename T , size_t N = 16 / sizeof(T)>

using hwy::HWY_NAMESPACE::Vec128< T, N >::PrivateT = T

## PrivateT [2/4]

template<typename T , size_t N = 16 / sizeof(T)>

using hwy::HWY_NAMESPACE::Vec128< T, N >::PrivateT = T

## PrivateT [3/4]

template<typename T , size_t N = 16 / sizeof(T)>

using hwy::HWY_NAMESPACE::Vec128< T, N >::PrivateT = T

## PrivateT [4/4]

template<typename T , size_t N = 16 / sizeof(T)>

using hwy::HWY_NAMESPACE::Vec128< T, N >::PrivateT = T

## Raw [1/3]

template<typename T , size_t N = 16 / sizeof(T)>

using hwy::HWY_NAMESPACE::Vec128< T, N >::Raw = typename detail::Raw128<T, N>::type

private

## Raw [2/3]

template<typename T , size_t N = 16 / sizeof(T)>

using hwy::HWY_NAMESPACE::Vec128< T, N >::Raw = typename detail::Raw128<T>::type

private

## Raw [3/3]

template<typename T , size_t N = 16 / sizeof(T)>

using hwy::HWY_NAMESPACE::Vec128< T, N >::Raw = typename detail::Raw128<T>::type

private

## Constructor & Destructor Documentation

## Vec128() [1/5]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE hwy::HWY_NAMESPACE::Vec128< T, N >::Vec128 | ( |  | ) |

inline

## Vec128() [2/5]

template<typename T , size_t N = 16 / sizeof(T)>

hwy::HWY_NAMESPACE::Vec128< T, N >::Vec128 | ( | const Vec128< T, N > & |  | ) |

default

## Vec128() [3/5]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE hwy::HWY_NAMESPACE::Vec128< T, N >::Vec128 | ( | const Raw | raw | ) |

inline explicit

## Vec128() [4/5]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE hwy::HWY_NAMESPACE::Vec128< T, N >::Vec128 | ( |  | ) |

default

## Vec128() [5/5]

template<typename T , size_t N = 16 / sizeof(T)>

hwy::HWY_NAMESPACE::Vec128< T, N >::Vec128 | ( | const Vec128< T, N > & |  | ) |

default

## Member Function Documentation

## operator&=() [1/4]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator&= | ( | const Vec128< T, N > | other | ) |

inline

## operator&=() [2/4]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator&= | ( | const Vec128< T, N > | other | ) |

inline

## operator&=() [3/4]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator&= | ( | const Vec128< T, N > | other | ) |

inline

## operator&=() [4/4]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator&= | ( | const Vec128< T, N > | other | ) |

inline

## operator*=() [1/4]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator*= | ( | const Vec128< T, N > | other | ) |

inline

## operator*=() [2/4]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator*= | ( | const Vec128< T, N > | other | ) |

inline

## operator*=() [3/4]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator*= | ( | const Vec128< T, N > | other | ) |

inline

## operator*=() [4/4]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator*= | ( | const Vec128< T, N > | other | ) |

inline

## operator+=() [1/4]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator+= | ( | const Vec128< T, N > | other | ) |

inline

## operator+=() [2/4]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator+= | ( | const Vec128< T, N > | other | ) |

inline

## operator+=() [3/4]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator+= | ( | const Vec128< T, N > | other | ) |

inline

## operator+=() [4/4]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator+= | ( | const Vec128< T, N > | other | ) |

inline

## operator-=() [1/4]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator-= | ( | const Vec128< T, N > | other | ) |

inline

## operator-=() [2/4]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator-= | ( | const Vec128< T, N > | other | ) |

inline

## operator-=() [3/4]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator-= | ( | const Vec128< T, N > | other | ) |

inline

## operator-=() [4/4]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator-= | ( | const Vec128< T, N > | other | ) |

inline

## operator/=() [1/4]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator/= | ( | const Vec128< T, N > | other | ) |

inline

## operator/=() [2/4]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator/= | ( | const Vec128< T, N > | other | ) |

inline

## operator/=() [3/4]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator/= | ( | const Vec128< T, N > | other | ) |

inline

## operator/=() [4/4]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator/= | ( | const Vec128< T, N > | other | ) |

inline

## operator=() [1/2]

template<typename T , size_t N = 16 / sizeof(T)>

Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator= | ( | const Vec128< T, N > & |  | ) |

default

## operator=() [2/2]

template<typename T , size_t N = 16 / sizeof(T)>

Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator= | ( | const Vec128< T, N > & |  | ) |

default

## operator^=() [1/4]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator^= | ( | const Vec128< T, N > | other | ) |

inline

## operator^=() [2/4]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator^= | ( | const Vec128< T, N > | other | ) |

inline

## operator^=() [3/4]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator^= | ( | const Vec128< T, N > | other | ) |

inline

## operator^=() [4/4]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator^= | ( | const Vec128< T, N > | other | ) |

inline

## operator|=() [1/4]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator|= | ( | const Vec128< T, N > | other | ) |

inline

## operator|=() [2/4]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator|= | ( | const Vec128< T, N > | other | ) |

inline

## operator|=() [3/4]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator|= | ( | const Vec128< T, N > | other | ) |

inline

## operator|=() [4/4]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE Vec128 & hwy::HWY_NAMESPACE::Vec128< T, N >::operator|= | ( | const Vec128< T, N > | other | ) |

inline

## Member Data Documentation

## kPrivateN

template<typename T , size_t N = 16 / sizeof(T)>

static constexpr size_t hwy::HWY_NAMESPACE::Vec128< T, N >::kPrivateN = N

static constexpr

## raw [1/2]

template<typename T , size_t N = 16 / sizeof(T)>

Raw hwy::HWY_NAMESPACE::Vec128< T, N >::raw

Referenced by hwy::HWY_NAMESPACE::detail::Abs(), hwy::HWY_NAMESPACE::detail::Abs(), hwy::HWY_NAMESPACE::AbsDiff(), hwy::HWY_NAMESPACE::AbsDiff(), hwy::HWY_NAMESPACE::detail::Add(), hwy::HWY_NAMESPACE::detail::Add(), hwy::HWY_NAMESPACE::And(), hwy::HWY_NAMESPACE::And(), hwy::HWY_NAMESPACE::AndNot(), hwy::HWY_NAMESPACE::AndNot(), hwy::HWY_NAMESPACE::AverageRound(), hwy::HWY_NAMESPACE::AverageRound(), hwy::HWY_NAMESPACE::AverageRound(), hwy::HWY_NAMESPACE::detail::BitsFromMask(), hwy::HWY_NAMESPACE::detail::BitsFromMask(), hwy::HWY_NAMESPACE::detail::BitsFromMask(), hwy::HWY_NAMESPACE::detail::BitsFromMask(), hwy::HWY_NAMESPACE::detail::BitsFromMask(), hwy::HWY_NAMESPACE::detail::BitsFromMask(), hwy::HWY_NAMESPACE::detail::BitsFromMask(), hwy::HWY_NAMESPACE::detail::BitsFromMask(), hwy::HWY_NAMESPACE::Broadcast(), hwy::HWY_NAMESPACE::BroadcastSignBit(), hwy::HWY_NAMESPACE::Combine(), hwy::HWY_NAMESPACE::Combine(), hwy::HWY_NAMESPACE::Combine(), hwy::HWY_NAMESPACE::Combine(), hwy::HWY_NAMESPACE::Combine(), hwy::HWY_NAMESPACE::Combine(), hwy::HWY_NAMESPACE::Combine(), hwy::HWY_NAMESPACE::Combine(), hwy::HWY_NAMESPACE::Combine(), hwy::HWY_NAMESPACE::Combine(), hwy::HWY_NAMESPACE::Combine(), hwy::HWY_NAMESPACE::Combine(), hwy::HWY_NAMESPACE::Combine(), hwy::HWY_NAMESPACE::Compress(), hwy::HWY_NAMESPACE::CompressNot(), hwy::HWY_NAMESPACE::ConcatEven(), hwy::HWY_NAMESPACE::ConcatEven(), hwy::HWY_NAMESPACE::ConcatEven(), hwy::HWY_NAMESPACE::ConcatEven(), hwy::HWY_NAMESPACE::ConcatEven(), hwy::HWY_NAMESPACE::ConcatLowerLower(), hwy::HWY_NAMESPACE::ConcatLowerLower(), hwy::HWY_NAMESPACE::ConcatLowerUpper(), hwy::HWY_NAMESPACE::ConcatOdd(), hwy::HWY_NAMESPACE::ConcatOdd(), hwy::HWY_NAMESPACE::ConcatOdd(), hwy::HWY_NAMESPACE::ConcatOdd(), hwy::HWY_NAMESPACE::ConcatOdd(), hwy::HWY_NAMESPACE::ConcatUpperLower(), hwy::HWY_NAMESPACE::ConcatUpperLower(), hwy::HWY_NAMESPACE::ConcatUpperUpper(), hwy::HWY_NAMESPACE::ConcatUpperUpper(), hwy::HWY_NAMESPACE::ConvertTo(), hwy::HWY_NAMESPACE::detail::ConvertTo(), hwy::HWY_NAMESPACE::detail::ConvertTo(), hwy::HWY_NAMESPACE::DemoteTo(), hwy::HWY_NAMESPACE::DemoteTo(), hwy::HWY_NAMESPACE::DemoteTo(), hwy::HWY_NAMESPACE::DemoteTo(), hwy::HWY_NAMESPACE::DemoteTo(), hwy::HWY_NAMESPACE::DupEven(), hwy::HWY_NAMESPACE::DupOdd(), hwy::HWY_NAMESPACE::Eq128(), hwy::HWY_NAMESPACE::Eq128Upper(), hwy::HWY_NAMESPACE::GatherOffset(), hwy::HWY_NAMESPACE::detail::IdxFromBits(), hwy::HWY_NAMESPACE::detail::IdxFromNotBits(), hwy::HWY_NAMESPACE::detail::IfThenElse(), hwy::HWY_NAMESPACE::detail::IfThenElse(), hwy::HWY_NAMESPACE::detail::IfThenElse(), hwy::HWY_NAMESPACE::detail::IfThenElse(), hwy::HWY_NAMESPACE::IfThenElse(), hwy::HWY_NAMESPACE::IfThenElse(), hwy::HWY_NAMESPACE::detail::IfThenElseZero(), hwy::HWY_NAMESPACE::detail::IfThenElseZero(), hwy::HWY_NAMESPACE::detail::IfThenElseZero(), hwy::HWY_NAMESPACE::detail::IfThenElseZero(), hwy::HWY_NAMESPACE::IfThenElseZero(), hwy::HWY_NAMESPACE::IfThenElseZero(), hwy::HWY_NAMESPACE::detail::IfThenZeroElse(), hwy::HWY_NAMESPACE::detail::IfThenZeroElse(), hwy::HWY_NAMESPACE::detail::IfThenZeroElse(), hwy::HWY_NAMESPACE::detail::IfThenZeroElse(), hwy::HWY_NAMESPACE::IfThenZeroElse(), hwy::HWY_NAMESPACE::IfThenZeroElse(), hwy::HWY_NAMESPACE::IndicesFromVec(), hwy::HWY_NAMESPACE::IndicesFromVec(), hwy::HWY_NAMESPACE::InsertLane(), hwy::HWY_NAMESPACE::InterleaveLower(), hwy::HWY_NAMESPACE::InterleaveLower(), hwy::HWY_NAMESPACE::InterleaveLower(), hwy::HWY_NAMESPACE::InterleaveLower(), hwy::HWY_NAMESPACE::InterleaveLower(), hwy::HWY_NAMESPACE::InterleaveLower(), hwy::HWY_NAMESPACE::InterleaveLower(), hwy::HWY_NAMESPACE::InterleaveLower(), hwy::HWY_NAMESPACE::InterleaveLower(), hwy::HWY_NAMESPACE::InterleaveLower(), hwy::HWY_NAMESPACE::InterleaveLower(), hwy::HWY_NAMESPACE::InterleaveLower(), hwy::HWY_NAMESPACE::InterleaveLower(), hwy::HWY_NAMESPACE::InterleaveLower(), hwy::HWY_NAMESPACE::InterleaveLower(), hwy::HWY_NAMESPACE::InterleaveLower(), hwy::HWY_NAMESPACE::InterleaveLower(), hwy::HWY_NAMESPACE::InterleaveLower(), hwy::HWY_NAMESPACE::InterleaveLower(), hwy::HWY_NAMESPACE::InterleaveLower(), hwy::HWY_NAMESPACE::InterleaveLower(), hwy::HWY_NAMESPACE::InterleaveLower(), hwy::HWY_NAMESPACE::InterleaveLower(), hwy::HWY_NAMESPACE::detail::InterleaveUpper(), hwy::HWY_NAMESPACE::detail::InterleaveUpper(), hwy::HWY_NAMESPACE::detail::InterleaveUpper(), hwy::HWY_NAMESPACE::detail::InterleaveUpper(), hwy::HWY_NAMESPACE::detail::InterleaveUpper(), hwy::HWY_NAMESPACE::detail::InterleaveUpper(), hwy::HWY_NAMESPACE::detail::InterleaveUpper(), hwy::HWY_NAMESPACE::detail::InterleaveUpper(), hwy::HWY_NAMESPACE::InterleaveUpper(), hwy::HWY_NAMESPACE::detail::InterleaveUpper(), hwy::HWY_NAMESPACE::detail::InterleaveUpper(), hwy::HWY_NAMESPACE::detail::InterleaveUpper(), hwy::HWY_NAMESPACE::detail::InterleaveUpper(), hwy::HWY_NAMESPACE::detail::InterleaveUpper(), hwy::HWY_NAMESPACE::detail::InterleaveUpper(), hwy::HWY_NAMESPACE::detail::InterleaveUpper(), hwy::HWY_NAMESPACE::detail::InterleaveUpper(), hwy::HWY_NAMESPACE::detail::InterleaveUpper(), hwy::HWY_NAMESPACE::detail::InterleaveUpper(), hwy::HWY_NAMESPACE::detail::InterleaveUpper(), hwy::HWY_NAMESPACE::Iota(), hwy::HWY_NAMESPACE::Lt128(), hwy::HWY_NAMESPACE::Lt128Upper(), hwy::HWY_NAMESPACE::Max(), hwy::HWY_NAMESPACE::detail::Max(), hwy::HWY_NAMESPACE::detail::Max(), hwy::HWY_NAMESPACE::Max(), hwy::HWY_NAMESPACE::Max(), hwy::HWY_NAMESPACE::Max(), hwy::HWY_NAMESPACE::Max(), hwy::HWY_NAMESPACE::Max(), hwy::HWY_NAMESPACE::Max(), hwy::HWY_NAMESPACE::Max(), hwy::HWY_NAMESPACE::Min(), hwy::HWY_NAMESPACE::detail::Min(), hwy::HWY_NAMESPACE::detail::Min(), hwy::HWY_NAMESPACE::Min(), hwy::HWY_NAMESPACE::Min(), hwy::HWY_NAMESPACE::Min(), hwy::HWY_NAMESPACE::Min(), hwy::HWY_NAMESPACE::Min(), hwy::HWY_NAMESPACE::Min(), hwy::HWY_NAMESPACE::Min(), hwy::HWY_NAMESPACE::detail::Mul(), hwy::HWY_NAMESPACE::detail::Mul(), hwy::HWY_NAMESPACE::detail::Mul(), hwy::HWY_NAMESPACE::MulAdd(), hwy::HWY_NAMESPACE::MulEven(), hwy::HWY_NAMESPACE::MulFixedPoint15(), hwy::HWY_NAMESPACE::MulFixedPoint15(), hwy::HWY_NAMESPACE::MulHigh(), hwy::HWY_NAMESPACE::MulHigh(), hwy::HWY_NAMESPACE::MulHigh(), hwy::HWY_NAMESPACE::MulHigh(), hwy::HWY_NAMESPACE::MulHigh(), hwy::HWY_NAMESPACE::MulHigh(), hwy::HWY_NAMESPACE::MulOdd(), hwy::HWY_NAMESPACE::MulOdd(), hwy::HWY_NAMESPACE::MulOdd(), hwy::HWY_NAMESPACE::MulSub(), hwy::HWY_NAMESPACE::Ne128(), hwy::HWY_NAMESPACE::Ne128Upper(), hwy::HWY_NAMESPACE::NegMulAdd(), hwy::HWY_NAMESPACE::NegMulSub(), hwy::HWY_NAMESPACE::detail::NibblesFromMask(), hwy::HWY_NAMESPACE::OddEven(), hwy::HWY_NAMESPACE::detail::OddEven(), hwy::HWY_NAMESPACE::detail::OddEven(), hwy::HWY_NAMESPACE::detail::OddEven(), hwy::HWY_NAMESPACE::operator!=(), hwy::HWY_NAMESPACE::operator!=(), hwy::HWY_NAMESPACE::operator!=(), hwy::HWY_NAMESPACE::operator!=(), hwy::HWY_NAMESPACE::operator!=(), hwy::HWY_NAMESPACE::operator!=(), hwy::HWY_NAMESPACE::operator!=(), hwy::HWY_NAMESPACE::operator!=(), hwy::HWY_NAMESPACE::operator!=(), hwy::HWY_NAMESPACE::operator!=(), hwy::HWY_NAMESPACE::operator!=(), hwy::HWY_NAMESPACE::operator*(), hwy::HWY_NAMESPACE::operator*(), hwy::HWY_NAMESPACE::operator*(), hwy::HWY_NAMESPACE::operator*(), hwy::HWY_NAMESPACE::operator*(), hwy::HWY_NAMESPACE::operator*(), hwy::HWY_NAMESPACE::operator*(), hwy::HWY_NAMESPACE::operator*(), hwy::HWY_NAMESPACE::operator*(), hwy::HWY_NAMESPACE::operator*(), hwy::HWY_NAMESPACE::operator*(), hwy::HWY_NAMESPACE::operator*(), hwy::HWY_NAMESPACE::operator*(), hwy::HWY_NAMESPACE::operator*(), hwy::HWY_NAMESPACE::operator+(), hwy::HWY_NAMESPACE::operator+(), hwy::HWY_NAMESPACE::operator+(), hwy::HWY_NAMESPACE::operator+(), hwy::HWY_NAMESPACE::operator+(), hwy::HWY_NAMESPACE::operator+(), hwy::HWY_NAMESPACE::operator+(), hwy::HWY_NAMESPACE::operator+(), hwy::HWY_NAMESPACE::operator+(), hwy::HWY_NAMESPACE::operator+(), hwy::HWY_NAMESPACE::operator-(), hwy::HWY_NAMESPACE::operator-(), hwy::HWY_NAMESPACE::operator-(), hwy::HWY_NAMESPACE::operator-(), hwy::HWY_NAMESPACE::operator-(), hwy::HWY_NAMESPACE::operator-(), hwy::HWY_NAMESPACE::operator-(), hwy::HWY_NAMESPACE::operator-(), hwy::HWY_NAMESPACE::operator-(), hwy::HWY_NAMESPACE::operator-(), hwy::HWY_NAMESPACE::operator/(), hwy::HWY_NAMESPACE::operator/(), hwy::HWY_NAMESPACE::operator/(), hwy::HWY_NAMESPACE::operator/(), hwy::HWY_NAMESPACE::operator<(), hwy::HWY_NAMESPACE::operator<<(), hwy::HWY_NAMESPACE::operator<<(), hwy::HWY_NAMESPACE::operator<<(), hwy::HWY_NAMESPACE::operator<<(), hwy::HWY_NAMESPACE::operator<<(), hwy::HWY_NAMESPACE::operator<<(), hwy::HWY_NAMESPACE::operator<<(), hwy::HWY_NAMESPACE::operator<<(), hwy::HWY_NAMESPACE::operator<<(), hwy::HWY_NAMESPACE::operator<<(), hwy::HWY_NAMESPACE::operator<<(), hwy::HWY_NAMESPACE::operator<<(), hwy::HWY_NAMESPACE::operator<<(), hwy::HWY_NAMESPACE::operator<<(), hwy::HWY_NAMESPACE::operator<<(), hwy::HWY_NAMESPACE::operator<<(), hwy::HWY_NAMESPACE::operator<<(), hwy::HWY_NAMESPACE::operator<=(), hwy::HWY_NAMESPACE::operator<=(), hwy::HWY_NAMESPACE::operator==(), hwy::HWY_NAMESPACE::operator==(), hwy::HWY_NAMESPACE::operator==(), hwy::HWY_NAMESPACE::operator==(), hwy::HWY_NAMESPACE::operator==(), hwy::HWY_NAMESPACE::operator==(), hwy::HWY_NAMESPACE::operator==(), hwy::HWY_NAMESPACE::operator==(), hwy::HWY_NAMESPACE::operator==(), hwy::HWY_NAMESPACE::operator==(), hwy::HWY_NAMESPACE::operator==(), hwy::HWY_NAMESPACE::operator>(), hwy::HWY_NAMESPACE::operator>(), hwy::HWY_NAMESPACE::operator>(), hwy::HWY_NAMESPACE::operator>(), hwy::HWY_NAMESPACE::operator>(), hwy::HWY_NAMESPACE::operator>(), hwy::HWY_NAMESPACE::operator>(), hwy::HWY_NAMESPACE::operator>(), hwy::HWY_NAMESPACE::operator>(), hwy::HWY_NAMESPACE::operator>=(), hwy::HWY_NAMESPACE::operator>=(), hwy::HWY_NAMESPACE::operator>>(), hwy::HWY_NAMESPACE::operator>>(), hwy::HWY_NAMESPACE::operator>>(), hwy::HWY_NAMESPACE::operator>>(), hwy::HWY_NAMESPACE::operator>>(), hwy::HWY_NAMESPACE::operator>>(), hwy::HWY_NAMESPACE::operator>>(), hwy::HWY_NAMESPACE::operator>>(), hwy::HWY_NAMESPACE::operator>>(), hwy::HWY_NAMESPACE::operator>>(), hwy::HWY_NAMESPACE::Or(), hwy::HWY_NAMESPACE::Or(), hwy::HWY_NAMESPACE::PromoteTo(), hwy::HWY_NAMESPACE::PromoteTo(), hwy::HWY_NAMESPACE::detail::PromoteUpperTo(), hwy::HWY_NAMESPACE::RearrangeToOddPlusEven(), hwy::HWY_NAMESPACE::RearrangeToOddPlusEven(), hwy::HWY_NAMESPACE::detail::ReciprocalNewtonRaphsonStep(), hwy::HWY_NAMESPACE::detail::ReciprocalNewtonRaphsonStep(), hwy::HWY_NAMESPACE::detail::ReciprocalSqrtStep(), hwy::HWY_NAMESPACE::detail::ReciprocalSqrtStep(), hwy::HWY_NAMESPACE::ReorderDemote2To(), hwy::HWY_NAMESPACE::ReorderDemote2To(), hwy::HWY_NAMESPACE::ReorderDemote2To(), hwy::HWY_NAMESPACE::ReorderDemote2To(), hwy::HWY_NAMESPACE::ReorderDemote2To(), hwy::HWY_NAMESPACE::ReorderDemote2To(), hwy::HWY_NAMESPACE::ReorderWidenMulAccumulate(), hwy::HWY_NAMESPACE::ReorderWidenMulAccumulate(), hwy::HWY_NAMESPACE::ReorderWidenMulAccumulate(), hwy::HWY_NAMESPACE::Reverse(), hwy::HWY_NAMESPACE::Reverse(), hwy::HWY_NAMESPACE::Reverse2(), hwy::HWY_NAMESPACE::Reverse4(), hwy::HWY_NAMESPACE::Reverse8(), hwy::HWY_NAMESPACE::Round(), hwy::HWY_NAMESPACE::SaturatedAdd(), hwy::HWY_NAMESPACE::SaturatedAdd(), hwy::HWY_NAMESPACE::SaturatedAdd(), hwy::HWY_NAMESPACE::SaturatedAdd(), hwy::HWY_NAMESPACE::SaturatedAdd(), hwy::HWY_NAMESPACE::SaturatedSub(), hwy::HWY_NAMESPACE::SaturatedSub(), hwy::HWY_NAMESPACE::SaturatedSub(), hwy::HWY_NAMESPACE::SaturatedSub(), hwy::HWY_NAMESPACE::SaturatedSub(), hwy::HWY_NAMESPACE::detail::ScatterIndex(), hwy::HWY_NAMESPACE::detail::ScatterIndex(), hwy::HWY_NAMESPACE::ScatterIndex(), hwy::HWY_NAMESPACE::ScatterIndex(), hwy::HWY_NAMESPACE::ScatterIndex(), hwy::HWY_NAMESPACE::detail::ScatterOffset(), hwy::HWY_NAMESPACE::detail::ScatterOffset(), hwy::HWY_NAMESPACE::ScatterOffset(), hwy::HWY_NAMESPACE::ScatterOffset(), hwy::HWY_NAMESPACE::ScatterOffset(), hwy::HWY_NAMESPACE::Set(), hwy::HWY_NAMESPACE::ShiftLeft(), hwy::HWY_NAMESPACE::ShiftLeft(), hwy::HWY_NAMESPACE::ShiftLeftSame(), hwy::HWY_NAMESPACE::ShiftRight(), hwy::HWY_NAMESPACE::ShiftRight(), hwy::HWY_NAMESPACE::ShiftRightSame(), hwy::HWY_NAMESPACE::detail::Shl(), hwy::HWY_NAMESPACE::detail::Shl(), hwy::HWY_NAMESPACE::detail::Shl(), hwy::HWY_NAMESPACE::detail::Shl(), hwy::HWY_NAMESPACE::detail::Shl(), hwy::HWY_NAMESPACE::detail::Shl(), hwy::HWY_NAMESPACE::detail::Shuffle1230(), hwy::HWY_NAMESPACE::detail::Shuffle1230(), hwy::HWY_NAMESPACE::detail::Shuffle2301(), hwy::HWY_NAMESPACE::detail::Shuffle2301(), hwy::HWY_NAMESPACE::detail::Shuffle3012(), hwy::HWY_NAMESPACE::detail::Shuffle3012(), hwy::HWY_NAMESPACE::Sqrt(), hwy::HWY_NAMESPACE::StoreInterleaved2(), hwy::HWY_NAMESPACE::StoreInterleaved3(), hwy::HWY_NAMESPACE::StoreInterleaved3(), hwy::HWY_NAMESPACE::StoreInterleaved3(), hwy::HWY_NAMESPACE::StoreInterleaved3(), hwy::HWY_NAMESPACE::StoreInterleaved3(), hwy::HWY_NAMESPACE::StoreInterleaved4(), hwy::HWY_NAMESPACE::StoreInterleaved4(), hwy::HWY_NAMESPACE::detail::Sub(), hwy::HWY_NAMESPACE::detail::Sub(), hwy::HWY_NAMESPACE::detail::SumOfLanes(), hwy::HWY_NAMESPACE::SumsOf8(), hwy::HWY_NAMESPACE::TableLookupBytes(), hwy::HWY_NAMESPACE::TableLookupBytes(), hwy::HWY_NAMESPACE::TableLookupBytes(), hwy::HWY_NAMESPACE::TableLookupBytes(), hwy::HWY_NAMESPACE::TableLookupBytes(), hwy::HWY_NAMESPACE::TableLookupBytes(), hwy::HWY_NAMESPACE::detail::TestBit(), hwy::HWY_NAMESPACE::detail::TestBit(), hwy::HWY_NAMESPACE::detail::TestBit(), hwy::HWY_NAMESPACE::detail::TestBit(), hwy::HWY_NAMESPACE::Trunc(), hwy::HWY_NAMESPACE::TruncateTo(), hwy::HWY_NAMESPACE::TruncateTo(), hwy::HWY_NAMESPACE::TruncateTo(), hwy::HWY_NAMESPACE::TruncateTo(), hwy::HWY_NAMESPACE::TruncateTo(), hwy::HWY_NAMESPACE::TruncateTo(), hwy::HWY_NAMESPACE::TruncateTo(), hwy::HWY_NAMESPACE::TruncateTo(), hwy::HWY_NAMESPACE::TruncateTo(), hwy::HWY_NAMESPACE::TruncateTo(), hwy::HWY_NAMESPACE::TruncateTo(), hwy::HWY_NAMESPACE::TruncateTo(), hwy::HWY_NAMESPACE::Xor(), hwy::HWY_NAMESPACE::Xor(), hwy::HWY_NAMESPACE::ZeroExtendVector(), hwy::HWY_NAMESPACE::ZeroExtendVector(), hwy::HWY_NAMESPACE::detail::ZeroExtendVector(), and hwy::HWY_NAMESPACE::ZeroExtendVector().

## raw [2/2]

template<typename T , size_t N = 16 / sizeof(T)>

T hwy::HWY_NAMESPACE::Vec128< T, N >::raw[16/sizeof(T)] = {}

The documentation for this class was generated from the following files:

- arm_neon-inl.h
- emu128-inl.h
- wasm_128-inl.h
- x86_128-inl.h